package cn.iocoder.yudao.module.system.service.evaluation;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.EvaluationServiceQualityPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.EvaluationServiceQualityRespVO;
import cn.iocoder.yudao.module.system.controller.admin.evaluation.vo.EvaluationServiceQualitySaveReqVO;

/**
 * 卫生服务质量评价 Service
 */
public interface EvaluationServiceQualityService {

    Integer create(EvaluationServiceQualitySaveReqVO createReqVO);

    void update(EvaluationServiceQualitySaveReqVO updateReqVO);

    void delete(Integer id);

    EvaluationServiceQualityRespVO get(Integer id);

    PageResult<EvaluationServiceQualityRespVO> getPage(EvaluationServiceQualityPageReqVO pageReqVO);
}

